Open CASCADE Technology: TopTools Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
TopTools Class Reference

The TopTools package provides utilities for the topological data structure. More...

`#include <TopTools.hxx>`

## Static Public Member Functions
static void | Dump (const TopoDS_Shape &Sh, Standard_OStream &S)
| A set of Shapes. Can be dump, wrote or read. Dumps the topological structure of <Sh> on the stream <S>. More...
static void | Dummy (const Standard_Integer I)
| This is to bypass an extraction bug. It will force the inclusion of Standard_Integer.hxx itself including Standard_OStream.hxx at the correct position. More...

## Detailed Description

The TopTools package provides utilities for the topological data structure.

- ShapeMapHasher. Hash a Shape base on the TShape and the Location. The Orientation is not used.
- OrientedShapeMapHasher. Hash a Shape base on the TShape ,the Location and the Orientation.
- Instantiations of TCollection for Shapes : MapOfShape IndexedMapOfShape DataMapOfIntegerShape DataMapOfShapeInteger DataMapOfShapeReal Array1OfShape HArray1OfShape SequenceOfShape HSequenceOfShape ListOfShape Array1OfListShape HArray1OfListShape DataMapOfIntegerListOfShape DataMapOfShapeListOfShape DataMapOfShapeListOfInteger IndexedDataMapOfShapeShape IndexedDataMapOfShapeListOfShape DataMapOfShapeShape IndexedMapOfOrientedShape DataMapOfShapeSequenceOfShape IndexedDataMapOfShapeAddress DataMapOfOrientedShapeShape
- LocationSet : to write sets of locations.
- ShapeSet : to writes sets of TShapes.

Package Methods :

Dump : To dump the topology of a Shape.

## Member Function Documentation

static void TopTools::Dummy | ( | const Standard_Integer | I | ) |
| static

This is to bypass an extraction bug. It will force the inclusion of Standard_Integer.hxx itself including Standard_OStream.hxx at the correct position.

static void TopTools::Dump | ( | const TopoDS_Shape & | Sh,
|  | Standard_OStream & | S
| ) |  |
| static

A set of Shapes. Can be dump, wrote or read. Dumps the topological structure of <Sh> on the stream <S>.

The documentation for this class was generated from the following file:

- TopTools.hxx